/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import java.math.BigDecimal;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Anrede;
import de.jpainfo.model.Buchung;
import de.jpainfo.model.Buchungsart;
import de.jpainfo.model.Girokonto;
import de.jpainfo.model.Konto;
import de.jpainfo.model.Kunde;
import de.jpainfo.model.Sparkonto;


public class Schreiben {
	
		public static void main(String[] args) throws Exception {
		
		Provider.select("eclipselink");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank");
		EntityManager em = emf.createEntityManager();

		
		em.getTransaction().begin();

		Kunde kunde1 = new Kunde("Max", "Mustermann", "29.7.1962", Anrede.HERR);
		Kunde kunde2 = new Kunde("Lisa", "Mustermann", "7.8.1965", Anrede.FRAU);
		Konto sparkonto = new Sparkonto(new BigDecimal("0.45"));
		sparkonto.addBuchung(new Buchung(new BigDecimal("100.00"), "12.10.2011", "Geburtstagsgeschenk von Oma", Buchungsart.HABEN));
		kunde1.addKonto(sparkonto);
		Konto girokonto = new Girokonto(new BigDecimal("14.5"), new BigDecimal("0.2"), new BigDecimal("1000"));
		girokonto.addBuchung(new Buchung(new BigDecimal("2500.00"), "30.10.2011", "Gehalt Oktober 2011", Buchungsart.HABEN));
		kunde1.addKonto(girokonto);
		em.persist(kunde1);
		em.persist(kunde2);

		em.getTransaction().commit();

		em.clear();
		emf.close();
	}
}
